diff maintainer-scripts/update_web_docs_libstdcxx_git @ 145:1830386684a0

gcc-9.2.0
author anatofuz
date Thu, 13 Feb 2020 11:34:05 +0900
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/maintainer-scripts/update_web_docs_libstdcxx_git	Thu Feb 13 11:34:05 2020 +0900
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+
+# "sh update_web_docs_libstdcxx_git"
+# Checks out a copy of the libstdc++-v3 "inner" documentation and puts
+# it in the onlinedocs area.  For an initial description of "inner"
+# docs, see the thread starting with 
+#     http://gcc.gnu.org/ml/libstdc++/2000-11/msg00475.html
+#####################################################################
+
+GITROOT=${GITROOT:-"/git/gcc.git"}
+GETTHIS='libstdc++-v3/doc/html'
+WWWDIR=/www/gcc/htdocs/onlinedocs/libstdc++
+#WWWDIR=/tmp/fake-onlinedocs-testing
+
+
+## No more changes should be needed.  Ha, right, whatever.
+#####################################################################
+
+FILTER="newer or same age version exists|0 blocks"
+
+PATH=/usr/local/bin:$PATH
+export GITROOT
+
+test -d $WWWDIR || /bin/mkdir $WWWDIR
+test -d $WWWDIR || { echo something is very wrong ; exit 1; }
+
+WORKDIR=/tmp/v3-doc-update.$$
+/bin/rm -rf $WORKDIR
+/bin/mkdir $WORKDIR
+cd $WORKDIR
+
+
+# checkout all the HTML files, get down into an interesting directory
+git -C $GITROOT archive master $GETTHIS | tar xf -
+cd $GETTHIS
+
+# copy the tree to the onlinedocs area, preserve directory structure
+find . -depth -print | cpio -pd $WWWDIR 2>&1 | egrep -v "$FILTER"
+
+err=${PIPESTATUS[1]}
+if [ $err -gt 0 ]; then
+    printf "\nCopying failed with error code %d.\n" $err
+fi
+
+cd /
+/bin/rm -rf $WORKDIR
+